package rest_handler

import (
	"net/http"

	"gitea.elara.ws/Hazel/hangman/internal/game"
	"gitea.elara.ws/Hazel/words"
	"github.com/labstack/echo/v4"
)

func CreateSession(c echo.Context) error {
	s := game.NewSession(words.Words.GetRandomWord())
	return c.JSON(http.StatusOK, s)
}
