package rest_handler

import (
	"net/http"

	"gitea.elara.ws/Hazel/hangman/internal/game"
	"github.com/labstack/echo/v4"
)

func TestAuth(c echo.Context) error {
	type TestResults struct {
		Session *game.Session
		User    *game.User
		Error   error
	}

	session, user, err := GetData(c)

	return c.JSON(http.StatusOK, TestResults{
		Session: session,
		User:    user,
		Error:   err,
	})
}
